libstdc++: __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc > Struct Template Reference

libstdc++

__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc > Struct Template Reference

`#include <pat_trie_base.hpp>`

## Public Types
typedef _Alloc | allocator_type
typedef detail::rebind_traits< _Alloc, Metadata >::const_reference | const_reference
typedef Metadata | metadata_type

## Public Member Functions
const_reference | get_metadata () const

## Public Attributes
metadata_type | m_metadata

## Detailed Description

template<typename Metadata, typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >

Metadata base primary template.

Definition at line 67 of file pat_trie_base.hpp.

## Member Typedef Documentation

## ◆ allocator_type

template<typename Metadata, typename _Alloc>

typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::allocator_type

Definition at line 70 of file pat_trie_base.hpp.

## ◆ const_reference

template<typename Metadata, typename _Alloc>

typedef detail::rebind_traits<_Alloc,Metadata>::const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::const_reference

Definition at line 72 of file pat_trie_base.hpp.

## ◆ metadata_type

template<typename Metadata, typename _Alloc>

typedef Metadata __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::metadata_type

Definition at line 69 of file pat_trie_base.hpp.

## Member Function Documentation

## ◆ get_metadata()

template<typename Metadata, typename _Alloc>

const_reference __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::get_metadata | ( |  | ) | const
| inline

Definition at line 75 of file pat_trie_base.hpp.

## Member Data Documentation

## ◆ m_metadata

template<typename Metadata, typename _Alloc>

metadata_type __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >::m_metadata

Definition at line 78 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp